Get order book coverage
curl --request GET \
--url https://api.orbscan.com/v1/orderbook/coverage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orbscan.com/v1/orderbook/coverage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbscan.com/v1/orderbook/coverage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "OK",
"status_code": "1",
"data": {
"polymarket": {
"orderbook": {
"availableFrom": 1788199076322,
"availableTo": 1790062682461
}
}
}
}{
"message": "Missing or invalid API key",
"status_code": "0",
"data": null
}{
"message": "Rate limit exceeded",
"status_code": "0",
"data": null
}Market
Get Order Book Coverage
Get the earliest and latest source timestamps stored for order book data.
GET
/
v1
/
orderbook
/
coverage
Get order book coverage
Use this endpoint to find the time window covered by the order book data before you page through events. It returns the earliest and latest source timestamps across the whole table.
These timestamps cover the full stored table. They do not guarantee that every timestamp or market is available through Get Order Book Events. The result is cached for 10 minutes.